//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.87-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1316
// INTERFACE : I2C
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PA5
// SDA    PA7

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
  {	u8 t;
		delay_init();	    	 	  
		NVIC_Configuration(); 	 
	//		delay_ms(8000);
		OLED_Init();			
		OLED_Clear()  	; 
	
		t=' ';

    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//
		OLED_ShowCHinese(64,0,4);//
		OLED_ShowCHinese(80,0,5);//		
	while(1) 
	{		
OLED_Clear();
	   OLED_ShowString(10,0,"0.87'OLEDTEST",16);
		 OLED_ShowString(0,2,"buydisplay.com",16);


			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();
		 OLED_ShowString(0,0,"buydisplay.com",16);
		 OLED_ShowString(0,2,"0123456789ABCDEF",8);
			OLED_ShowString(0,3,"0123456789ABCDEF",8);

			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();
    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//
		OLED_ShowCHinese(64,0,4);//
		OLED_ShowCHinese(80,0,5);//		
			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
			OLED_Clear();
	OLED_DrawBMP(0,0,128,4,BMP1);
			delay_ms(1000);
			delay_ms(1000);
	  	delay_ms(1000);
			 OLED_Clear();

	}	  
	
}
	